%global _vpath_srcdir src

Name:		plasma5-applets-system-panel
Version:	1.6.0
Release:	%mkrel 3
Summary:	Plasma5 applet that displays a panel with a set of system actions
License:	GPLv3+
Group:		Graphical desktop/KDE
# https://github.com/Musikolo/plasma5-applets-system-panel
Url:		http://kde-apps.org/content/show.php/plasma5-applets-system-panel?content=175309
Source0:	https://github.com/Musikolo/plasma5-applets-system-panel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)

Requires:	plasma-workspace

Provides:	plasma-applet-eyasdp = %{version}-%{release}
Obsoletes:	plasma-applet-eyasdp < 1.2.0-5

%description
Plasma5 applet that displays a panel with a set of system actions.

[*] Supported actions:
 - Standby (turn off monitor to save energy)
 - Lock screen
 - Leave (log out, restart or shut down the computer)
 - Switch user (switch user o create new session)
 - Sleep (suspend to RAM)
 - Hibernate (suspend to disk)

[*] Other features:
 - Supports different layouts
 - Ability to rearrange icons
 - Fully customizable icons

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang plasma_applet_org.kde.plasma.systempanel

%files -f plasma_applet_org.kde.plasma.systempanel.lang
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_kf5_qmldir}/org/kde/private/systempanel/
%{_kf5_metainfodir}/org.kde.plasma.systempanel.appdata.xml
%{_kf5_services}/plasma-applet-org.kde.plasma.systempanel.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.systempanel
%{_kf5_iconsdir}/breeze/actions/*/system-standby.svg
%{_kf5_iconsdir}/breeze-dark/actions/*/system-standby.svg


%changelog
* Tue Nov 15 2022 daviddavid <daviddavid> 1.6.0-3.mga9
+ Revision: 1907369
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.6.0-2.mga8
+ Revision: 1659422
- Rebuild for new Qt5

* Tue Jul 14 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1606138
- new version: 1.6.0

* Thu May 28 2020 daviddavid <daviddavid> 1.4.0-6.mga8
+ Revision: 1588579
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1524871
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.4.0-4.mga7
+ Revision: 1383951
- Qt5 Rebuild

* Thu Oct 04 2018 umeabot <umeabot> 1.4.0-3.mga7
+ Revision: 1317379
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1191453
- new version: 1.4.0

* Sun Nov 13 2016 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1066924
- initial package plasma5-applets-system-panel (replace plasma-applet-eyasdp)

